---
title: XMLHttpRequestEventTarget.onprogress
slug: Web/API/XMLHttpRequestEventTarget/onprogress
tags:
  - Event Handler
  - Property
  - Reference
  - Web
  - XHR
  - XMLHttpRequestEventTarget
---
<p>{{APIRef("XMLHttpRequest")}}</p>

<p>The <strong><code>XMLHttpRequestEventTarget.onprogress</code></strong> is the function called periodically with information when an {{domxref("XMLHttpRequest")}} before success completely.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate"><em>XMLHttpRequest</em>.onprogress = <em>callback</em>;</pre>

<h3 id="Values">Values</h3>

<ul>
 <li><code><em>callback</em></code> is the function to be called periodically before the request is completed.</li>
</ul>

<h3 id="Example">Event</h3>

<ul>
 <li><em><code>event.loaded</code></em>  the amount of data currently transfered.</li>
 <li><em><code>event.total</code></em>  the total amount of data to be transferred.</li>
</ul>

<pre class="notranslate">XMLHttpRequest.onprogress = function (event) {
  event.loaded;
  event.total;
};</pre>

<h2 id="Example">Example</h2>

<pre class="notranslate">var xmlhttp = new XMLHttpRequest(),
  method = 'GET',
  url = 'https://developer.mozilla.org/';

xmlhttp.open(<em>method</em>, <em>url</em>, true);
xmlhttp.onprogress = function () {
  //do something
};
xmlhttp.send();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#handler-xhr-onload')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td>WHATWG living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequestEventTarget.onprogress")}}</p>
